textures/shaderlab_terrain/dirt_rock_grass
{
	q3map_lightImage textures/shaderlab_terrain/snow_1.tga
	
	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 2048 0 0 ) ( 0 2048 0 )
	q3map_tcMod rotate 33
	
	q3map_alphaMod dotproduct2 ( 0 0 0.825 )
	q3map_clipModel
	
	q3map_lightmapSampleSize 64
	
	q3map_globalTexture
	
	{
		map textures/shaderlab_terrain/rock_1.tga
		rgbGen identity
	}
	{
		map textures/shaderlab_terrain/snow_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
		tcMod scale 7 7
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/shaderlab_terrain/unused_stages
{
	{
		map textures/shaderlab_terrain/grass_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
		tcMod scale 7 7
	}
	{
		map textures/shaderlab_terrain/rock_1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen oneMinusVertex
	}
	{
		map textures/shaderlab_terrain/rock_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 7 7
	}
	{
		map textures/shaderlab_terrain/rock_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
		tcMod scale 12 12
	}
}



// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/shaderlab_terrain/sky
{
	qer_editorimage textures/shaderlab_terrain/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 140 -35 25 2 1
	
	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 90 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/shaderlab_terrain/env/sky 1024 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/shaderlab_terrain/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/shaderlab_terrain/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}
